org.apache.commons.lang3

## Class Streams.ArrayCollector<O>

- java.lang.Object
- - org.apache.commons.lang3.Streams.ArrayCollector<O>

- Type Parameters:
    `O` - The array type.
  All Implemented Interfaces:
    Collector<O,List<O>,O[]>
  Enclosing class:
    Streams

  Deprecated.
  Use `Streams.ArrayCollector`.

      @Deprecated
      public static class Streams.ArrayCollector<O>
      extends Object
      implements Collector<O,List<O>,O[]>

  A Collector type for arrays.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.stream.Collector

      `Collector.Characteristics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayCollector(Class<O> elementType)` Deprecated. Constructs a new instance for the given element type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BiConsumer<List<O>,O>` | `accumulator()` Deprecated.
    `Set<Collector.Characteristics>` | `characteristics()` Deprecated.
    `BinaryOperator<List<O>>` | `combiner()` Deprecated.
    `Function<List<O>,O[]>` | `finisher()` Deprecated.
    `Supplier<List<O>>` | `supplier()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.stream.Collector

      `of, of`

- - ### Constructor Detail

    - #### ArrayCollector

          public ArrayCollector(Class<O> elementType)

      Deprecated.
      Constructs a new instance for the given element type.
      Parameters:
        `elementType` - The element type.

  - ### Method Detail

    - #### supplier

          public Supplier<List<O>> supplier()

      Deprecated.
      Specified by:
        `supplier` in interface `Collector<O,List<O>,O[]>`

    - #### accumulator

          public BiConsumer<List<O>,O> accumulator()

      Deprecated.
      Specified by:
        `accumulator` in interface `Collector<O,List<O>,O[]>`

    - #### combiner

          public BinaryOperator<List<O>> combiner()

      Deprecated.
      Specified by:
        `combiner` in interface `Collector<O,List<O>,O[]>`

    - #### finisher

          public Function<List<O>,O[]> finisher()

      Deprecated.
      Specified by:
        `finisher` in interface `Collector<O,List<O>,O[]>`

    - #### characteristics

          public Set<Collector.Characteristics> characteristics()

      Deprecated.
      Specified by:
        `characteristics` in interface `Collector<O,List<O>,O[]>`

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.